> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# By Type Identifier

> Retrieves special condition mappings filtered by a specific type identifier. This endpoint returns a list of special conditions associated with a given building project, area of construction, and LCA model, narrowed down by a particular special condition type and type identifier.

**Base URL:** `{{lcabaseUrl}}`  
**Authentication:** Bearer token — set the `BearerToken` variable in the active environment.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml get /Mapping/special-conditions/type
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /Mapping/special-conditions/type:
    servers:
      - url: https://api.realtimelca.com/rest/api
    get:
      tags:
        - Project
        - Mapping
        - Special Conditions
      summary: By Type Identifier
      description: >-
        Retrieves special condition mappings filtered by a specific type
        identifier. This endpoint returns a list of special conditions
        associated with a given building project, area of construction, and LCA
        model, narrowed down by a particular special condition type and type
        identifier.


        **Base URL:** `{{lcabaseUrl}}`  

        **Authentication:** Bearer token — set the `BearerToken` variable in the
        active environment.
      parameters:
        - name: areaOfConstruction
          in: query
          description: >-
            Not required for all special condition types or will attempt use
            existing mapping if not specified
          schema:
            type: integer
          example: '1'
        - name: buildingProjectId
          in: query
          schema:
            type: string
          example: d2e1c804-8fc4-46f4-899a-1486a0152f5e
        - name: length
          in: query
          description: >-
            Not required for all special condition types or will  attempt use
            existing mapping if not specified 
          schema:
            type: integer
          example: '5'
        - name: model
          in: query
          schema:
            type: string
          example: arkitektur
        - name: specialConditionTypeId
          in: query
          description: Optional, will attempt to use existing mapping if not specified
          schema:
            type: string
          example: 99bea5ba-eae1-47ae-b87b-eeb04ff1dea0
        - name: typeIdentifier
          in: query
          schema:
            type: string
          example: 'y'
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````